#!/usr/bin/python
#coding=utf-8

import json
import os
import requests
import AnalyPtConf
import re


def ReadptConfig():

    print('ReadptConfig')
    filename = "/home/loongson/InfoPublish/config.json"
        
    with open(filename, 'r', encoding='utf-8') as file:
        data = json.load(file)
        status = AnalyPtConf.analycfg(data)
        
    return status
        

def WriteptConfig():

    print('WriteptConfig')
    headers = {'Content-Type':'application/json;charset = utf-8'}

    data = {
            "sn":"LXRWA00B",
            "mac":"28-D2-44-08-55-13",
            "pt_ids":"19"
            
    }

    datas = json.dumps(data)
    url = "http://192.168.1.11:8086/index.php/api/program/ptconfig"
    ret = requests.post(url, data = datas, headers = headers)
    if ret is not None:
        json_obj1 = ret.json()
        tmp = ret.text
        jsonobj = json.loads(tmp)
        confstr = json.dumps(tmp, ensure_ascii=False)
        #analyjson(json_obj1)
        #print(tmp)
        #urllist = get_target_value('i_url', json_obj1, [])
        linklist = get_Allurl(confstr)
        print(linklist)
        #get_page(linklist)
        #print(a)
        with open('./config.json', 'w', encoding='utf-8') as f:
             f.write(confstr)
    else:
        print("config is null")


        
# traversing the json data
def analyjson(json_obj):
    
    for key,value in json_obj.items():
        if isinstance(value, list):
            for val in value:
                #print(val)
                analyjson(val)
        elif isinstance(value, dict):
            analyjson(value)
        else:
            print(key, '===', value)
        #return 'ok'


def get_target_value(key, dic, tmp_list):
    if not isinstance(dic, dict) or not isinstance (tmp_list, list):
        return 'argv[1] not an dict or argv[-1] not an list'
    if key in dic.keys():
        tmp_list.append(dic[key])
    for value in dic.values():
        if isinstance(value, dict):
            get_target_value(key, value, tmp_list)
        elif isinstance(value, (list, tuple)):
            _get_value(key, value, tmp_list)
    return tmp_list


def _get_value(key, val, tmp_list):
    for val_ in val:
        if isinstance(val_, dict):
            get_target_value(key, val_, tmp_list)
        elif isinstance(val_, (list, tuple)):
            _get_value(key, val_, tmp_list)


# by url get data 
def Load_Resources(urllist):
    
    print('Load_Resources')
    
    for url in urllist:
        print(url)
        filepath = '/home/loongson/InfoPublish/resources/'
        filename = os.path.basename(url)
        file = filepath + filename
        page = requests.get(url).content
        #page = page.content
    # bytes change string
    #page = page.decode('utf-8')
    with open(file, 'wb') as f:
        f.write(page)
    
    #return page


def get_Allurl(json_str):

    print("get_Allurl")
    
    links = re.findall(r'((?:http://192.168.2.2:8086)?[/\w+]+/\w+.(?:png|mp4|jpg))', json_str)
    #print(links)
    for i in links:
        print(i)
        
    return links


if __name__ == '__main__':
    urllist = ['i_url', 'adjkdkasdw', 'ksdoiwbbkihd', 'iew83h8fhefjeie']
    get_page(urllist)
    #WriteptConfig()
    #ReadptConfig()
    
