#!/usr/bin/python3

import requests
import json
import os
import time
import AnalyCfg


while True:
    
    headers = {'Content-Type':'application/json;charset = utf-8'}

    Heartdata = {
            "sn":"LXRWA00B",
            "mac":"28-D2-44-08-55-13",
            "ip":"192.168.1.11",
            "version":"V1.2.1",
            "os":"linux-lx"
    }

    datas = json.dumps(Heartdata)
    url = "http://192.168.1.11:8086/index.php/api/base/heartbeat"
    ret = requests.post(url, data = datas, headers = headers)
    a = ret.text
    recvstr = json.dumps(a)
    json_obj = json.loads(a)
    print(recvstr)
    ckarr = []
    cmdarr = []
    if json_obj.get('code') == 0 and json_obj.get('data') is not None:
        json_data = json_obj.get('data')
        for i in range(len(json_data)):
            #print(len(json_data))
            if json_data[i].get('type') == 0:
                tmpck0 = json_data[i].get('ck')
                tmpcmd0 = json_data[i].get('cmd')
                print(tmpck0)
                print(tmpcmd0)
                ckarr.append(tmpck0)
                cmdarr.append(tmpcmd0)
                
            elif json_data[i].get('type') == 1:
                 tmpck1 = json_data[i].get('ck')
                 tmpcmd1 = json_data[i].get('cmd')
                 ckarr.append(tmpck1)
                 cmdarr.append(tmpcmd1)

        Heartdata["cks"] = ckarr
        requests.post(url, data = json.dumps(Heartdata), headers = headers)

        for item in cmdarr:
            if item == 'reboot':
                print('reboot')
            elif item == 'shutdown':
                print('shutdown')
            elif item == 'power-on':
                print('power-on')
            elif item == 'program_table':
                AnalyCfg.WriteptConfig()
                print('Heartbeat packet analysis is complete')
            else:
                print('No such command')
        #break;
    else:
        time.sleep(30)





