#!/usr/bin/python
#coding=utf-8

import json
import os
import requests
import AnalyPtConf
import re


def ReadptConfig(li = []):

    print('ReadptConfig......')
    filename = "/home/loongson/InfoPublish/config.json"
        
    with open(filename, 'r', encoding='utf-8') as file:
        data = json.load(file)
        status = AnalyPtConf.analycfg(data, li)
        
    return status
        

def WriteptConfig():

    print('WriteptConfig......')
    headers = {'Content-Type':'application/json;charset = utf-8'}

    data = {
            "sn":"LXRWA00B",
            "mac":"28-D2-44-08-55-13"
            
    }

    datas = json.dumps(data)
    url = "http://192.168.1.11:8086/index.php/api/program/ptconfig"
    ret = requests.post(url, data = datas, headers = headers)
    if ret is not None:
        json_obj1 = ret.json()
        tmp = ret.text
        jsonobj = json.loads(tmp)
        confstr = json.dumps(tmp, ensure_ascii=False)
        #analyjson(json_obj1)
        linklist = get_Allurl(confstr)
        #print(linklist)
        Load_Resources(linklist)
        with open('./config.json', 'w', encoding='utf-8') as f:
            f.write(confstr) 
            f.close()
    else:
        print("config is null")


        
# traversing the json data
def analyjson(json_obj):
    
    for key,value in json_obj.items():
        if isinstance(value, list):
            for val in value:
                #print(val)
                analyjson(val)
        elif isinstance(value, dict):
            analyjson(value)
        else:
            print(key, '===', value)
        #return 'ok'


def get_target_value(key, dic, tmp_list):
    if not isinstance(dic, dict) or not isinstance (tmp_list, list):
        return 'argv[1] not an dict or argv[-1] not an list'
    if key in dic.keys():
        tmp_list.append(dic[key])
    for value in dic.values():
        if isinstance(value, dict):
            get_target_value(key, value, tmp_list)
        elif isinstance(value, (list, tuple)):
            _get_value(key, value, tmp_list)
    return tmp_list


def _get_value(key, val, tmp_list):
    for val_ in val:
        if isinstance(val_, dict):
            get_target_value(key, val_, tmp_list)
        elif isinstance(val_, (list, tuple)):
            _get_value(key, val_, tmp_list)


# by url get data 
def Load_Resources(urllist):

    print('Load_Reaources......')
    filepath = '/home/loongson/InfoPublish/resources/'
    for url in urllist:
        print(url)
        filename = os.path.basename(url)
        file = filepath + filename
        page = requests.get(url)
        page0 = page.content
    # bytes change string
    #page = page.decode('utf-8')
        with open(file, 'wb') as f:
            f.write(page0)
    
    #return page


def get_Allurl(json_str):

    print("get_Allurl......")
    links = re.findall(r'((?:http://(?:(?:\d{1,3}\.){3}\d{1,3}:\d{4}))?[/\w+]+/\w+.(?:png|mp4|jpg))', json_str)
    return links


#if __name__ == '__main__':
    #urllist = ['i_url', 'adjkdkasdw', 'ksdoiwbbkihd', 'iew83h8fhefjeie']
    #get_page(urllist)
    #WriteptConfig()
    #ReadptConfig()
    
